Package org.silverpeas.mobile.shared.dto.media

## Class MediaDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.BaseDTO
  - - org.silverpeas.mobile.shared.dto.media.MediaDTO

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `PhotoDTO`, `SoundDTO`, `VideoDTO`, `VideoStreamingDTO`

      public class MediaDTO
      extends BaseDTO
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaDTO()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCommentsNumber()` |
    `String` | `getCreationDate()` |
    `String` | `getCreator()` |
    `boolean` | `getDownload()` |
    `String` | `getInstance()` |
    `String` | `getMimeType()` |
    `String` | `getName()` |
    `long` | `getSize()` |
    `String` | `getTitle()` |
    `String` | `getUpdateDate()` |
    `String` | `getUpdater()` |
    `void` | `setCommentsNumber​(int commentsNumber)` |
    `void` | `setCreationDate​(String creationDate)` |
    `void` | `setCreator​(String creator)` |
    `void` | `setDownload​(boolean download)` |
    `void` | `setInstance​(String instance)` |
    `void` | `setMimeType​(String mimeType)` |
    `void` | `setName​(String name)` |
    `void` | `setSize​(long size)` |
    `void` | `setTitle​(String title)` |
    `void` | `setUpdateDate​(String updateDate)` |
    `void` | `setUpdater​(String updater)` |

    - ### Methods inherited from class org.silverpeas.mobile.shared.dto.BaseDTO

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaDTO

          public MediaDTO()

  - ### Method Detail

    - #### getDownload

          public boolean getDownload()

    - #### setDownload

          public void setDownload​(boolean download)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### setName

          public void setName​(String name)

    - #### getName

          public String getName()

    - #### getUpdateDate

          public String getUpdateDate()

    - #### setUpdateDate

          public void setUpdateDate​(String updateDate)

    - #### getUpdater

          public String getUpdater()

    - #### setUpdater

          public void setUpdater​(String updater)

    - #### setCommentsNumber

          public void setCommentsNumber​(int commentsNumber)

    - #### getCommentsNumber

          public int getCommentsNumber()

    - #### getInstance

          public String getInstance()

    - #### setInstance

          public void setInstance​(String instance)

    - #### getMimeType

          public String getMimeType()

    - #### setMimeType

          public void setMimeType​(String mimeType)

    - #### setSize

          public void setSize​(long size)

    - #### getSize

          public long getSize()

    - #### getCreator

          public String getCreator()

    - #### setCreator

          public void setCreator​(String creator)

    - #### getCreationDate

          public String getCreationDate()

    - #### setCreationDate

          public void setCreationDate​(String creationDate)